APIWebhooks
Retry webhook delivery
Requeue a retained failed delivery for another 24-hour window. Requires an enabled subscription with the same configuration. Required scope: `webhooks:manage`.
x-api-key<token>
Preferred authentication header.
In: header
Path Parameters
id*string
Subscription ID returned when creating or listing webhooks.
Match
^[a-fA-F0-9]{24}$Length
24 <= length <= 24deliveryId*string
Delivery ID returned by the subscription delivery listing.
Match
^[a-fA-F0-9]{24}$Length
24 <= length <= 24Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.agent-brains.com/webhooks/stringstringstringstring/deliveries/stringstringstringstring/retry"{
"id": "string",
"event_id": "string",
"status": "pending",
"attempts": 0,
"last_http_status": 100,
"last_error": "string",
"next_attempt_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}